List encryption keys
curl --request GET \
--url https://management-api.fpjs.io/encryption-keys \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Version: <x-api-version>'import requests
url = "https://management-api.fpjs.io/encryption-keys"
headers = {
"X-API-Version": "<x-api-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-Version': '<x-api-version>', Authorization: 'Bearer <token>'}
};
fetch('https://management-api.fpjs.io/encryption-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "tok_No3jUysGLCDuqB3RnCVf1weo",
"name": "My Encryption Key",
"status": "enabled",
"environment": "ae_rrETjdWcfqI6AFsk",
"created_at": "2024-05-31T01:24:39.506Z",
"last_activated_at": "2024-05-31T01:24:39.506Z",
"last_rotated_at": "2024-05-31T01:24:39.506Z",
"description": "Description for my encryption key",
"previous_token": "eWDrrpGGLjDQW0LBA0Wj",
"token": "eWDrrpGGLjDQW0LBA0Wj",
"next_token": "eWDrrpGGLjDQW0LBA0Wj",
"last_deactivated_at": null
}
],
"metadata": {
"pagination": {
"next_cursor": "eyJrZXlzIjpbImlkIl0sInZhbHVlcyI6WyJhZV9JRVdWQVhrQURyN3BiNFYzI",
"prev_cursor": null
}
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"violations": [
{
"property": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"violations": [
{
"property": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>"
}
}encryption keys
List encryption keys
Lists all encryption keys for the workspace associated with the Management API key.
GET
/
encryption-keys
List encryption keys
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Management API version.
Query Parameters
Filters by encryption key status.
Available options:
enabled, disabled Filters by environment ID.
Cursor token used for pagination. Response will contain items appearing after the given cursor.
Sets the maximum number of items contained in a single page.
Required range:
0 <= x <= 101Was this page helpful?
⌘I